#[derive(Default)]
pub struct DateTime {
    pub year: u16,
    pub month: u8,
    pub day: u8,

    pub hour: u32,
    pub minute: u32,
    pub second: u32,
}
impl DateTime {
    pub fn format(&self) -> String {
        format!(
            "{:04}/{:02}/{:02}-{:02}:{:02}:{:02}",
            self.year, self.month, self.day, self.hour, self.minute, self.second
        )
    }
}
